Subject: [mobile-ip] Mipv6 issue #151: Unknown MH type and bad source address

From: Jari Arkko <[email-masked]>
Date: Tue, 29 Oct 2002 16:28:32 +0200

The current version of the draft says:

    A Binding Error message is sent to the address that appeared in the
    IPv6 Source address field of the offending packet.

If an MH packet arrives with MH Type = <unknown value> and IPv6 Source
Address = <Multicast or some other bad address>, then we may be sending
Binding Errors to an address we don't want to. The following text
should be added:

    If the Source Address field does not contain a unicast address,
    the Binding Error message MUST NOT be sent.